aboutsummaryrefslogtreecommitdiff
path: root/m4/mkconf
diff options
context:
space:
mode:
Diffstat (limited to 'm4/mkconf')
-rwxr-xr-xm4/mkconf20
1 files changed, 20 insertions, 0 deletions
diff --git a/m4/mkconf b/m4/mkconf
new file mode 100755
index 000000000000..04ce79742435
--- /dev/null
+++ b/m4/mkconf
@@ -0,0 +1,20 @@
+#!/bin/bash -norc
+# (re)make the autoconf configuration files.
+# Used by am-utils maintainers only!
+#
+# Erez Zadok <ezk AT cs.columbia.edu>
+#
+#set -x
+
+if [ ! -f amd/amd.c ]; then
+ cd ..
+fi
+if [ ! -f amd/amd.c ]; then
+ cd ..
+fi
+if [ ! -f amd/amd.c ]; then
+ echo "wrong directory!"
+ exit 1
+fi
+
+cd m4 && make $*